import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Services } from 'aws-sdk/clients/ecs';
import { AbstractDocument } from '../../../../core/abstract-entity';
import { SolutionEnumType } from '../solutions.enum';

@Schema({ timestamps: true, id: true, versionKey: false })
export class Solutions extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    heading: string;

    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    description: string;

    @Prop({ default: null, nullable: true })
    image: string;

    @Prop({ default: null, nullable: true })
    buttonLink: string;

    @Prop({ default: null, nullable: true })
    buttonText: string;

    @Prop({ enum: SolutionEnumType, default: null, nullable: true })
    solutionType: SolutionEnumType;

    @Prop({ default: null, nullable: true })
    urlSlug: string;

    @Prop({
        default: null, nullable: true,
        //type: MongooseSchema.Types.ObjectId, ref: 'services'
    })
    service: Services[]

    @Prop({ default: null, nullable: true })
    companyDescription: string;

    @Prop({ default: null, nullable: true })
    icon: string;
}

export const SolutionsSchema = SchemaFactory.createForClass(Solutions);