import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { MongooseModule } from "@nestjs/mongoose";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { ServicesSchema } from "../services/schema/services.schema";
import { SolutionsServicesSchema } from "../solutions-services/schema/solutions-services.schema";
import { UsersSchema } from "../users/schema/users.schema";
import { SolutionsSchema } from "./schema/solutions.schema";
import { SolutionsController } from "./solutions.controller";
import { SolutionsService } from "./solutions.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        MongooseModule.forFeature([{ name: 'Users', schema: UsersSchema },
        { name: 'solutions', schema: SolutionsSchema },
        { name: 'solutions-services', schema: SolutionsServicesSchema },
        { name: 'services', schema: ServicesSchema },
        ]),
    ],
    controllers: [SolutionsController],
    providers: [SolutionsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class SolutionsModule {
}
